# $Revision: 1.53 $, $Date: 2008/10/14 11:36:45 $
%define		mod_name	fastcgi
%define 	apxs		/usr/sbin/apxs1
Summary:	Support for the FastCGI protocol for apache webserver
Summary(pl.UTF-8):	Obsługa protokołu FastCGI dla serwera apache
Summary(ru.UTF-8):	FastCGI - более быстрая версия CGI
Summary(uk.UTF-8):	FastCGI - більш швидка версія CGI
Name:		apache1-mod_%{mod_name}
# NOTE: remember about apache-mod_fastcgi.spec when messing here
Version:	2.4.6
Release:	1
License:	distributable
Group:		Networking/Daemons
Source0:	http://www.fastcgi.com/dist/mod_%{mod_name}-%{version}.tar.gz
# Source0-md5:	a21a613dd5dacf4c8ad88c8550294fed
Patch0:		%{name}-allow-uid-gid.patch
Patch1:		%{name}-socketdir.patch
Patch2:		%{name}-stderr-buf.patch
Patch3:		%{name}-segv-onload.patch
URL:		http://www.fastcgi.com/
BuildRequires:	apache1-devel >= 1.3.39
BuildRequires:	libtool
BuildRequires:	rpmbuild(macros) >= 1.268
Requires:	apache1(EAPI)
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_pkglibdir	%(%{apxs} -q LIBEXECDIR 2>/dev/null)
%define		_sysconfdir	%(%{apxs} -q SYSCONFDIR 2>/dev/null)
%define		_socketdir	/var/run/apache/fastcgi

%description
This 3rd party module provides support for the FastCGI protocol.
FastCGI is a language independent, scalable, open extension to CGI
that provides high performance and persistence without the limitations
of server specific APIs.

%description -l pl.UTF-8
To jest moduł apache dodający obsługę protokołu FastCGI. FastCGI jest
niezależnym od języka, skalowalnym, otwartym rozszerzeniem CGI dającym
dużą wydajność bez ograniczania API specyficznego dla serwera.

%description -l ru.UTF-8
FastCGI - расширение CGI, которое предоставляет возможность создавать
высокопроизводительные Internet-приложения без необходимости
использовать специфические для каждого web-сервера API.

Скорость API web-серверов со всеми преимуществами CGI.

%description -l uk.UTF-8
FastCGI - розширення CGI, яке надає можливість створювати
високопродуктивні Internet-програми без необхідності використання
специфічних для кожного web-серверу API.

Швидкість API web-серверів зі всіма перевагами CGI.

%prep
%setup -q -n mod_%{mod_name}-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%{apxs} -S CC="%{__cc}" -o mod_%{mod_name}.so -c *.c

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_pkglibdir},%{_sysconfdir}/conf.d,%{_socketdir}/dynamic}

install mod_%{mod_name}.so $RPM_BUILD_ROOT%{_pkglibdir}

echo 'LoadModule %{mod_name}_module	modules/mod_%{mod_name}.so' > \
	$RPM_BUILD_ROOT%{_sysconfdir}/conf.d/90_mod_%{mod_name}.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%service -q apache restart

%postun
if [ "$1" = "0" ]; then
	%service -q apache restart
fi

%files
%defattr(644,root,root,755)
%doc docs/LICENSE.TERMS CHANGES docs/*.html
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_mod_%{mod_name}.conf
%attr(755,root,root) %{_pkglibdir}/*.so
%dir %attr(770,root,http) %{_socketdir}
%dir %attr(770,root,http) %{_socketdir}/dynamic

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: apache1-mod_fastcgi.spec,v $
Revision 1.53  2008/10/14 11:36:45  glen
- update to 2.4.6
- add 8k stderr buffer patch
- add segv unload patch from apache2 module

Revision 1.52  2007/11/04 19:18:49  glen
- apxs1 in apache1-devel now

Revision 1.51  2007/06/07 11:10:11  shadzik
- BR s@%{apxs}@apache1-apxs@g

Revision 1.50  2007/02/12 21:23:47  glen
- tabs in preamble

Revision 1.49  2007/02/12 00:48:37  baggins
- converted to UTF-8

Revision 1.48  2007/01/23 15:47:01  glen
- rel 4 (R: apache1(EAPI) instead of apache1)

Revision 1.47  2006/06/14 17:53:58  glen
- pass CC to apxs

Revision 1.46  2006/04/14 16:50:13  glen
- use %service

Revision 1.45  2005/12/13 11:28:50  glen
- adapterized

Revision 1.44  2005/06/26 15:34:50  glen
- set socket dir to /var/run/apache as webserver has no permissions to logdir
- rel 3
- STBR

Revision 1.43  2005/02/24 18:07:29  glen
- rel 2; STBR

Revision 1.42  2005/02/16 18:32:11  glen
- they are directories

Revision 1.41  2005/02/16 18:29:02  glen
- add fastcgi socket dirs to package to allow clean uninstall

Revision 1.40  2005/02/16 17:52:15  glen
- restart apache in %postun rather in %preun as the config file, loading module
  is still there and module will be loaded after package is uninstalled, which
  later causes missing configuration file errors.

Revision 1.39  2005/02/10 18:03:52  glen
- confdir enabled apache1 (no triggers as it wasn't on ftp)
- fix uid-gid patch (take rev 1.1)

Revision 1.38  2004/10/29 09:02:00  paladine
- "HTTP" unification

Revision 1.37  2004/09/25 09:19:26  radek
- removed conf file

Revision 1.36  2004/09/25 09:17:11  radek
- cosmetics

Revision 1.35  2004/09/25 09:14:55  radek
- version for apache1

Revision 1.34  2004/09/19 15:48:34  radek
- unified (not everything, waiting for server-side cp)

Revision 1.33  2004/03/07 23:47:50  arekm
- rel 2

Revision 1.32  2004/03/07 21:41:19  arekm
- work with uid/gid only, too (so entries in passwd/group no longer needed)

Revision 1.31  2004/03/07 17:13:57  arekm
- apache 1.3 support

Revision 1.30  2004/03/07 09:33:55  arekm
- updated to 2.4.2

Revision 1.29  2003/12/22 23:36:42  aredridel
- updated for apache 2.0

Revision 1.28  2003/08/06 16:11:29  kloczek
- może wrescie ktoś wykasuje to konto ?

Revision 1.27  2003/07/07 03:10:38  blues
- some small changes, inpired by kloczek

Revision 1.26  2003/05/28 12:58:47  malekith
- massive attack: source-md5

Revision 1.25  2003/05/25 05:45:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.24  2003/05/11 00:13:03  qboosh
- updated to 2.4.0

Revision 1.23  2002/12/12 01:33:18  blues
- spelling fixes by Tomasz "Witek" Wittner <wittt_@poczta.onet.pl>

Revision 1.22  2002/08/13 15:06:21  grzegorz
- sed -e "s/%{_sbindir}\/apxs -e/\%{apxs} -e/"

Revision 1.21  2002/06/18 08:20:22  kloczek
- release 1: use new %doc.

Revision 1.20  2002/04/25 15:45:51  arturs
- fixed a small typo

Revision 1.19  2002/04/25 14:54:51  areq
- 2.2.12, STBR -> test

Revision 1.18  2002/04/12 14:32:10  qboosh
- removed /home/httpd/manual/mod dir (it belongs to apache); release 6

Revision 1.17  2002/02/22 23:28:41  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.16  2002/02/17 21:06:35  ankry
- release 5

Revision 1.15  2002/02/17 19:01:42  ankry
- added %{apxs} local macro to avoid adapter problems
- fix use of %{apxs} and %{_sbindir}/apxs
- added BR %{apxs} and Prereq %{_sbindir}/apxs (if necessary); removed BR apache

Revision 1.14  2002/02/17 04:59:36  kloczek
- release 4.

Revision 1.13  2002/02/16 14:04:54  ankry
- added summaries/descriptions from KSI/RH
- adapterized

Revision 1.12  2002/01/18 02:12:20  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.11  2001/12/02 12:07:03  kloczek
- release 3.

Revision 1.10  2001/11/23 14:51:02  kloczek
- s/Copyright/License/

Revision 1.9  2001/09/11 12:31:21  qboosh
- pl translations

Revision 1.8  2001/08/22 17:24:00  filon
- removed stripping executables, it's done by rpm automation

Revision 1.7  2001/04/16 20:20:19  baggins
- release 2
- put documentation in proper place

Revision 1.6  2001/01/03 16:25:28  kloczek
- do not strip binaries (this perporms rpm in %install_post script),
- few other cosmetics.

Revision 1.5  2001/01/02 23:32:22  marcus
- new version 2.2.10
- release 1

Revision 1.4  2000/09/21 20:31:19  kloczek
- cosmetics only.

Revision 1.3  2000/09/21 19:35:17  baggins
- typo

Revision 1.2  2000/09/21 19:32:17  baggins
- release 2
- added post(un) scripts
- fixed SuExec path

Revision 1.1  2000/09/21 19:25:10  baggins
- initial revision
- adapterized
